Index: tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at
===================================================================
--- tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Molecules/Copy/testsuite-molecules-copy-molecule.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,86 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### copy molecule
+
+AT_SETUP([Molecules - Copy molecule])
+AT_KEYWORDS([molecules copy-molecule])
+
+file=test-copy.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/test-copy.xyz], 0, [ignore], [ignore])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Copy molecule with Undo])
+AT_KEYWORDS([molecules copy-molecule undo])
+
+file=test-copy.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/test-undo.xyz], 0, [ignore], [ignore])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Copy molecule with Redo])
+AT_KEYWORDS([molecules copy-molecule redo])
+
+file=test-copy.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/test-copy.xyz], 0, [ignore], [ignore])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Copy/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials tensid.potentials -i $file --select-molecule-by-id 0 --copy-molecule --position "0,0,10" --undo --redo --no-dry-run --store-session session-molecules-copy-molecule.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-copy-molecule.py >session-molecules-copy-molecule_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-copy-molecule_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Copy/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
